## rhythmdb-property-model

rhythmdb-property-model

## Synopsis

    enum                RhythmDBPropertyModelColumn;
    typedef             RhythmDBPropertyModelPrivate;
    RhythmDBPropertyModel* rhythmdb_property_model_new      (RhythmDB *db,
                                                             RhythmDBPropType propid);
    gboolean            rhythmdb_property_model_iter_from_string
                                                            (RhythmDBPropertyModel *model,
                                                             const char *name,
                                                             GtkTreeIter *iter);
    void                rhythmdb_property_model_enable_drag (RhythmDBPropertyModel *model,
                                                             GtkTreeView *view);

## Description

## Details

### enum RhythmDBPropertyModelColumn

    typedef enum
    {
    	RHYTHMDB_PROPERTY_MODEL_COLUMN_TITLE,
    	RHYTHMDB_PROPERTY_MODEL_COLUMN_PRIORITY,
    	RHYTHMDB_PROPERTY_MODEL_COLUMN_NUMBER,
    	RHYTHMDB_PROPERTY_MODEL_COLUMN_LAST,
    } RhythmDBPropertyModelColumn;

### RhythmDBPropertyModelPrivate

    typedef struct RhythmDBPropertyModelPrivate RhythmDBPropertyModelPrivate;

### rhythmdb_property_model_new ()

    RhythmDBPropertyModel* rhythmdb_property_model_new      (RhythmDB *db,
                                                             RhythmDBPropType propid);

`db` : |
`propid` : |
Returns : |

### rhythmdb_property_model_iter_from_string ()

    gboolean            rhythmdb_property_model_iter_from_string
                                                            (RhythmDBPropertyModel *model,
                                                             const char *name,
                                                             GtkTreeIter *iter);

`model` : |
`name` : |
`iter` : |
Returns : |

### rhythmdb_property_model_enable_drag ()

    void                rhythmdb_property_model_enable_drag (RhythmDBPropertyModel *model,
                                                             GtkTreeView *view);

`model` : |
`view` : |